
GPOBJS = _main.o _init_tri.o _update_tri.o _draw_tri.o
HOSTLIBS = /usr/proj/pxpl/lib/libpxhost.a
GPLIBS = /usr/proj/pxpl/lib/libpxgp.lib

tris:		tris.o gp.o
		cc -o tris tris.o gp.o $(HOSTLIBS)

tridaemon:	tridaemon.o gp.o
		cc -o tridaemon tridaemon.o gp.o $(HOSTLIBS)

tris.o:		tris.c
		cc -c -I/usr/proj/pxpl/include tris.c

tridaemon.o:	tridaemon.c
		cc -c -I/usr/proj/pxpl/include tridaemon.c

gp.o:		$(GPOBJS)
		gpln -keep gp.gp $(GPOBJS) $(GPLIBS)
		
_main.o:	_main.c
		acc -c -I/usr/proj/pxpl/include _main.c

_init_tri.o:	_init_tri.c
		acc -c _init_tri.c

_update_tri.o:	_update_tri.c
		acc -c _update_tri.c

_draw_tri.o:	_draw_tri.c
		acc -c -I/usr/proj/pxpl/include _draw_tri.c

install:	tris tridaemon
		mv tris /usr/proj/pxpl/bin
		mv tridaemon /usr/proj/pxpl/bin
